Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class UndoRedo.Empty

    java.lang.Object
      org.openide.awt.UndoRedo.Empty

All Implemented Interfaces:
  UndoRedo

Enclosing interface:
  UndoRedo

Deprecated. Use `UndoRedo.NONE` rather than instantiating this.

    public static final class UndoRedo.Empty

extends Object
implements UndoRedo

Empty implementation that does not support any undoable edits.

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.awt.UndoRedo
`UndoRedo.Empty, UndoRedo.Manager`

Field Summary

Fields inherited from interface org.openide.awt.UndoRedo
`NONE`

Constructor Summary
`UndoRedo.Empty()` Deprecated.

Method Summary
`void` | `addChangeListener(ChangeListener l)` Deprecated. Add a change listener.
`boolean` | `canRedo()` Deprecated. Test whether the component currently has undone edits which may be redone.
`boolean` | `canUndo()` Deprecated. Test whether the component currently has edits which may be undone.
`String` | `getRedoPresentationName()` Deprecated. Get a human-presentable name describing the redo operation.
`String` | `getUndoPresentationName()` Deprecated. Get a human-presentable name describing the undo operation.
`void` | `redo()` Deprecated. Redo a previously undone edit.
`void` | `removeChangeListener(ChangeListener l)` Deprecated. Remove a change listener.
`void` | `undo()` Deprecated. Undo an edit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoRedo.Empty

    public UndoRedo.Empty()

  Deprecated.

Method Detail

### canUndo

    public boolean canUndo()

  Deprecated.
  Description copied from interface: `UndoRedo`
  Test whether the component currently has edits which may be undone.

  Specified by:
    `canUndo` in interface `UndoRedo`
  Returns:
    `true` if undo is allowed

### canRedo

    public boolean canRedo()

  Deprecated.
  Description copied from interface: `UndoRedo`
  Test whether the component currently has undone edits which may be redone.

  Specified by:
    `canRedo` in interface `UndoRedo`
  Returns:
    `true` if redo is allowed

### undo

    public void undo()
              throws CannotUndoException

  Deprecated.
  Description copied from interface: `UndoRedo`
  Undo an edit.

  Specified by:
    `undo` in interface `UndoRedo`
  Throws:
    `CannotUndoException` - if it fails

### redo

    public void redo()
              throws CannotRedoException

  Deprecated.
  Description copied from interface: `UndoRedo`
  Redo a previously undone edit.

  Specified by:
    `redo` in interface `UndoRedo`
  Throws:
    `CannotRedoException` - if it fails

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Deprecated.
  Description copied from interface: `UndoRedo`
  Add a change listener. The listener will be notified every time the undo/redo ability of this object changes.

  Specified by:
    `addChangeListener` in interface `UndoRedo`
  Parameters:
    `l` - the listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Deprecated.
  Description copied from interface: `UndoRedo`
  Remove a change listener.

  Specified by:
    `removeChangeListener` in interface `UndoRedo`
  Parameters:
    `l` - the listener to remove
  See Also:
    `UndoRedo.addChangeListener(javax.swing.event.ChangeListener)`

### getUndoPresentationName

    public String getUndoPresentationName()

  Deprecated.
  Description copied from interface: `UndoRedo`
  Get a human-presentable name describing the undo operation.

  Specified by:
    `getUndoPresentationName` in interface `UndoRedo`
  Returns:
    the name

### getRedoPresentationName

    public String getRedoPresentationName()

  Deprecated.
  Description copied from interface: `UndoRedo`
  Get a human-presentable name describing the redo operation.

  Specified by:
    `getRedoPresentationName` in interface `UndoRedo`
  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.